Alterar Centro de Custo
curl --request PUT \
--url https://api.gestio.com.br/v2/centrodecusto \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"codigoDoCentroDeCusto": "CC-001",
"descricaoDoCentroDeCusto": "Administrativo",
"codigoDoGrupoDeCentroDeCusto": 10,
"idCentroDeCustoWS": "<string>",
"ativo": true
}
'import requests
url = "https://api.gestio.com.br/v2/centrodecusto"
payload = {
"codigoDoCentroDeCusto": "CC-001",
"descricaoDoCentroDeCusto": "Administrativo",
"codigoDoGrupoDeCentroDeCusto": 10,
"idCentroDeCustoWS": "<string>",
"ativo": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
codigoDoCentroDeCusto: 'CC-001',
descricaoDoCentroDeCusto: 'Administrativo',
codigoDoGrupoDeCentroDeCusto: 10,
idCentroDeCustoWS: '<string>',
ativo: true
})
};
fetch('https://api.gestio.com.br/v2/centrodecusto', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"data": {
"codigoDoCentroDeCusto": "CC-001",
"descricaoDoCentroDeCusto": "Administrativo",
"codigoDoGrupoDeCentroDeCusto": 10,
"descricaoDoGrupoCentroDeCusto": "<string>",
"idCentroDeCustoWS": "<string>",
"ativo": true,
"podeAtivar": true,
"podeDesativar": true,
"ultimaAtualizacao": "<string>"
}
}{
"success": false,
"errors": [
{
"key": "<string>",
"value": "<string>",
"dateOccurred": "2023-11-07T05:31:56Z"
}
]
}Centro de Custo
Alterar Centro de Custo
Altera os dados de um Centro de Custo existente. Informe o codigoDoCentroDeCusto do registro a ser alterado.
PUT
/
v2
/
centrodecusto
Alterar Centro de Custo
PUT substitui o registro inteiro — envie todos os campos, não apenas os alterados.Authorizations
Envie o token retornado por /v2/autenticar no header Authorization, no formato Bearer {token}.
Body
application/json
Centro de Custo.
Código do Centro de Custo. Obrigatório.
Example:
"CC-001"
Example:
"Administrativo"
Código do Grupo de Centro de Custo vinculado. Quando informado, deve corresponder a um grupo ativo já cadastrado.
Example:
10
Identificador externo do centro de custo, usado para integração.
